<nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark justify-content-between">
    <div class="container">
        <a class="navbar-brand" href="{% url 'polls:question-list' %}">
            <i class="fa-solid fa-square-poll-vertical"></i> Polls App
        </a>
        <button class="navbar-toggler"
                type="button"
                data-toggle="collapse"
                data-target="#navbarsExampleDefault"
                aria-controls="navbarsExampleDefault"
                aria-expanded="false"
                aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="navbar-collapse collapse" id="#navbarsExampleDefault">
            <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                {% if user.is_authenticated %}
                    <div class="dropdown">
                        <a class="nav-link dropdown-toggle"
                           role="button"
                           data-toggle="dropdown"
                           data-bs-toggle="dropdown"
                           aria-expanded="false">
                            <i class="fa-solid fa-user-shield"></i> {{ user.email }}
                        </a>
                        <ul class="dropdown-menu">
                            <li>
                                <a class="dropdown-item" href="{% url 'user_profile:profile_detail' %}">
                                    <i class="fa-solid fa-user-cog"></i> Profile
                                </a>
                            </li>
                            <li>
                                <div class="dropdown-divider"></div>
                            </li>
                            <li>
                                <a class="dropdown-item" href="{% url 'logout' %}">
                                    <i class="fa-solid fa-sign-out-alt"></i> Log out
                                </a>
                            </li>
                        </ul>
                    </div>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">
                            <i class="fa-solid fa-sign-in"></i> Sign in
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'users:signup' %}">
                            <i class="fa-solid fa-user-edit"></i> Sign up
                        </a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </div>
</nav>
